#!/bin/sh

apk --no-cache add build-base gzip libcap-dev lvm2 util-linux automake autoconf libtool lua5.3-dev linux-headers bash tar docbook2x libseccomp-dev python3-dev dnsmasq py3-setuptools git xz

git clone --depth=1 https://github.com/lxc/lxc.git
cd lxc

./autogen.sh

./configure \
    --prefix=/usr \
    --sysconfdir=/etc \
    --localstatedir=/var \
    --disable-apparmor \
    --with-distro=alpine \
    --disable-werror

make -j $(getconf _NPROCESSORS_ONLN)

mkdir /tmp/lxc
make DESTDIR=/tmp/lxc install

cd /tmp/lxc
rm -rf usr/include/
rm -rf usr/lib/liblxc.a
rm -rf usr/lib/liblxc.la
rm -rf usr/lib/pkgconfig/
rm -rf usr/share/doc/
rm -rf usr/share/lxc/selinux/
rm -rf usr/share/lxc/templates/
rm -rf usr/share/man/

find . | xargs -n 1 strip -s

tar cf - * | xz -9 -c - >../lxc.tar.xz
